<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
  >
    <inspection-cycle-form
      ref="realForm"
      @ok="submitCallback"
      :disabled="disableSubmit"
    ></inspection-cycle-form>
    <!-- :enterpriseId="this.enterpriseId" -->
    <!-- :version="this.version" -->
  </j-modal>
</template>

<script>

import InspectionCycleForm from './InspectionCycleForm'
export default {
  name: 'InspectionCycleModal',
  components: {
    InspectionCycleForm
  },
  props: {
    //表单禁用
    disabled: {
      type: Boolean,
      default: false,
      required: false
    },
    enterpriseId: {
      type: String,
      default: '',
      required: false
    },
    // version: {
    //   type: Number,
    //   required: false
    // }
  },
  data() {
    return {
      title: '',
      width: 1200,
      visible: false,
      disableSubmit: false
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add();
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      })
    },
    revise(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.revise(record);
      })
    },
    close() {
      this.$emit('close');
      this.visible = false;
    },
    handleOk() {
      this.$refs.realForm.submitForm();
    },
    submitCallback() {
      this.$emit('ok');
      this.visible = false;
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>